Ubuntu

python-scipy install SyntaxWarning

Reported by John Haitas on 2009-05-04
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
SciPy
Fix Released
Unknown
python-scipy (Ubuntu)
Low
Unassigned
Declined for Jaunty by Brian Murray
Declined for Karmic by Brian Murray
Declined for Lucid by Brian Murray
Declined for Maverick by Brian Murray
Declined for Natty by Brian Murray

Bug Description

Binary package hint: python-scipy

Running Jaunty Kernel Ubuntu 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

$ sudo aptitude install python-scipy

Selecting previously deselected package libsuitesparse-3.2.0.
(Reading database ... 116460 files and directories currently installed.)
Unpacking libsuitesparse-3.2.0 (from .../libsuitesparse-3.2.0_1%3a3.2.0-4ubuntu2_amd64.deb) ...
Selecting previously deselected package python-scipy.
Unpacking python-scipy (from .../python-scipy_0.7.0-0ubuntu1_amd64.deb) ...
Setting up libsuitesparse-3.2.0 (1:3.2.0-4ubuntu2) ...

Setting up python-scipy (0.7.0-0ubuntu1) ...
/usr/lib/python2.6/dist-packages/scipy/stats/mstats_basic.py:106: SyntaxWarning: assertion is always true, perhaps remove parentheses?
  assert(output.ndim == 2, "The input should be 2D!")

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done

...

Install seems to be OK.

C de-Avillez (hggdh2) wrote :

Confirmed:

Suggested packages:
  python-profiler
The following NEW packages will be installed:
  python-scipy
0 upgraded, 1 newly installed, 0 to remove and 25 not upgraded.
Need to get 10.2MB of archives.
After this operation, 35.9MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com jaunty/universe python-scipy 0.7.0-0ubuntu1 [10.2MB]
Fetched 10.2MB in 19s (519kB/s)
Selecting previously deselected package python-scipy.
(Reading database ... 587011 files and directories currently installed.)
Unpacking python-scipy (from .../python-scipy_0.7.0-0ubuntu1_amd64.deb) ...
Setting up python-scipy (0.7.0-0ubuntu1) ...
/usr/lib/python2.6/dist-packages/scipy/stats/mstats_basic.py:106: SyntaxWarning: assertion is always true, perhaps remove parentheses?
  assert(output.ndim == 2, "The input should be 2D!")

Changed in python-scipy (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
John Haitas (jhaitas) wrote :

this bug has now been reported upstream at: http://projects.scipy.org/scipy/ticket/944

Changed in scipy:
status: Unknown → New
John Haitas (jhaitas) wrote :

This bug is reportedly fixed upstream in r5738 of SciPy.

Changed in scipy:
status: New → Fix Released
Andriy Tymchenko (silpol) wrote :

Fix? Released? probably on another planet...

user@host:~$ lsb_release -r
Release: 9.10

... apt-get install something-what-is-dependent-on-scipy

...
Setting up python-scipy (0.7.0-2) ...
/usr/lib/python2.6/dist-packages/scipy/stats/mstats_basic.py:106: SyntaxWarning: assertion is always true, perhaps remove parentheses?
  assert(output.ndim == 2, "The input should be 2D!")
...

user@host:~$ apt-cache show python-scipy
Package: python-scipy
Priority: extra
Section: universe/python
Installed-Size: 31844
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Debian Python Modules Team <email address hidden>
Architecture: i386
Version: 0.7.0-2
...

John Haitas (jhaitas) wrote :

I can confirm this bug is still present in 10.04 (Lucid) as well:

Setting up python-scipy (0.7.0-2) ...
/usr/lib/python2.6/dist-packages/scipy/stats/mstats_basic.py:106: SyntaxWarning: assertion is always true, perhaps remove parentheses?
  assert(output.ndim == 2, "The input should be 2D!")

John Haitas (jhaitas) on 2010-05-14
summary: - [Jaunty]python-scipy install SyntaxWarning
+ python-scipy install SyntaxWarning
John Haitas (jhaitas) wrote :

Ubuntu 'python-scipy' package: 0.7.0-2
Debian 'python-scipy' package: 0.7.2-1
Current stable SciPy version: 0.7.2

http://packages.ubuntu.com/search?keywords=python-scipy
http://packages.debian.org/search?keywords=python-scipy
http://www.scipy.org/

Brian Murray (brian-murray) wrote :

This is fixed in the Maverick version of python-scipy.

Changed in python-scipy (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.